# \network

Network Class of the back-end application

Management of Networks

## Summary

Methods
Properties
Constants
__construct()
action()
No public properties found
No constants found
No protected methods found
$app
$libClass
N/A
create_network()
create_subnet()
list_network_ids()
list_network_names()
list_cidr()
getNetwork()
getNetworkP()
getSubnet()
getSubnetP()
updateNetwork()
updateSubnet()
deleteNetwork()
deleteSubnet()
createPort()
listPorts()
getPort()
getPortP()
updatePort()
deletePort()
createSecurityGroup()
createSecurityGroupRule()
listSecurityGroupe()
listSecurityGroupeRule()
getSecurityGroupe()
getSecurityGroupeP()
deleteSecurityGroupe()
No private properties found
N/A

File
  core/Network.php
Package
  Default
Class hierarchy
  \network
Implements
  \Core

## Tags

None found

## Properties

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

### $libClass

    $libClass : \OpenStack\Network

#### Type

\OpenStack\Network — protected, contains the library Network object

#

## Tags

None found

## Methods

### __construct()

    __construct(\App  $app) : \network

Network constructor

#### Parameters

\App | $app | the main app object

#### Returns

\network —

Object

#

## Tags

None found

### action()

    action(String  $action) : void

Execute an action

#### Parameters

String | $action | name of another function of this class

#

## Tags

None found

### create_network()

    create_network() : void

Create a new network

#

## Tags

None found

### create_subnet()

    create_subnet() : void

Create a new subnet

#

## Tags

None found

### list_network_ids()

    list_network_ids() : void

List the ID of the NETWORKS

#

## Tags

None found

### list_network_names()

    list_network_names() : \List

List the name of the NETWORKS

#### Returns

\List —

of Networks name

#

## Tags

None found

### list_cidr()

    list_cidr() : void

List the CIDR of the SUBNETS

#

## Tags

None found

### getNetwork()

    getNetwork() : void

retrieve a specific network

#

## Tags

None found

### getNetworkP()

    getNetworkP(  $netId) : \OpenStack\Network

internal function

#### Parameters

| $netId |

#### Returns

\OpenStack\Network

#

## Tags

None found

### getSubnet()

    getSubnet() : void

retrieve a specific subnet

#

## Tags

None found

### getSubnetP()

    getSubnetP(  $subnetId) : \OpenStack\Subnet

internal function

#### Parameters

| $subnetId |

#### Returns

\OpenStack\Subnet

#

## Tags

None found

### updateNetwork()

    updateNetwork() : void

Update a network given

#

## Tags

None found

### updateSubnet()

    updateSubnet() : void

Update a subnet given

#

## Tags

None found

### deleteNetwork()

    deleteNetwork() : void

Delete a network given

#

## Tags

None found

### deleteSubnet()

    deleteSubnet() : void

Delete a subnet given

#

## Tags

None found

### createPort()

    createPort() : void

Create a new port

#

## Tags

None found

### listPorts()

    listPorts() : void

List the of ports

#

## Tags

None found

### getPort()

    getPort() : void

retrieve a specific port given

#

## Tags

None found

### getPortP()

    getPortP(  $portId) : \port

internal function

retrieve a specific port given

#### Parameters

| $portId |

#### Returns

\port

#

## Tags

None found

### updatePort()

    updatePort() : void

Update port given

#

## Tags

None found

### deletePort()

    deletePort() : void

Delete a port given

#

## Tags

None found

### createSecurityGroup()

    createSecurityGroup() : void

Create a new security groupe

#

## Tags

None found

### createSecurityGroupRule()

    createSecurityGroupRule() : void

Create a new security groupe

#

## Tags

None found

### listSecurityGroupe()

    listSecurityGroupe() : void

List of Security Groupes

#

## Tags

None found

### listSecurityGroupeRule()

    listSecurityGroupeRule() : void

List of Security Groupe Rules

#

## Tags

None found

### getSecurityGroupe()

    getSecurityGroupe() : void

retrieve a specific Security Groupe given

#

## Tags

None found

### getSecurityGroupeP()

    getSecurityGroupeP(  $securityGroupeId) : \securityGroup

internal function

retrieve a specific Security Groupe given

#### Parameters

| $securityGroupeId |

#### Returns

\securityGroup

#

## Tags

None found

### deleteSecurityGroupe()

    deleteSecurityGroupe() : void

Delete a specific Security Groupe given

#

## Tags

None found

### Network.php